package com.ruoyi.system.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.system.domain.BerthingFloatConfig;
import com.ruoyi.system.domain.BerthingPoint;
import com.ruoyi.system.domain.BerthingPointConfig;
import com.ruoyi.system.domain.BerthingTimeConfig;
import com.ruoyi.system.dto.*;
import com.ruoyi.system.paramet.BerthingPointQuery;
import com.ruoyi.system.paramet.FloatPointQuery;
import com.ruoyi.system.paramet.StopPointQuery;
import com.ruoyi.system.paramet.TimePointQuery;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.ArrayList;


public interface BerthingService {

    ArrayList<PrintExcelDTO> uploadFile(MultipartFile file);

    boolean insertBerthing(BerthingPointDTO berthingPointDTO);

    Page<BerthingPoint> queryBerthing(BerthingPointQuery berthingPointQuery);

    BerthingPoint queryBerthingById(Long id);

    BerthingPoint queryBerthingBySiteId(Long siteId);

    Boolean deleteStopPointsById(Long id);

    Boolean deleteBerthingById(Long id);

    boolean  downFile(Long siteId, HttpServletResponse response);

    boolean downFileById(Long id, HttpServletResponse response);

    boolean addStopPrint(BerthingPointConfigDTO berthingPointConfigDTO);

    Page<BerthingPointConfig> queryStopPrint(StopPointQuery stopPointQuery);

    BerthingPointConfig queryStopPointsById(Long id);

    boolean addTimePrint(BerthingTimeDTO berthingTimeDTO);

    Page<BerthingTimeConfig> queryTimePrint(TimePointQuery timePointQuery);

    BerthingTimeConfig queryStopTimeById(Long id);

    boolean deleteStopTimeById(Long id);

    boolean addFloatPrint(BerthingFloatDTO berthingFloatDTO);

    Page<BerthingFloatConfig> queryFloatPrint(FloatPointQuery floatPointQuery);

    BerthingFloatConfig queryStopWaterById(Long id);

    boolean deleteStopWaterById(Long id);
}
